Change Log

DEVELOPER GUIDE

Change Log

28 July 2026

Status code range filtering for Webhook Deliveries API

IMPROVED

🗓️

Release Date: 28 July 2026 (Sandbox and Production)

Problem

Integrators who were using the Webhook Deliveries API endpoint could only filter deliveries by specific status code until now.

Endpoint:

List deliveries for a webhook

Eg.

/webhooks/{webhook_id}/deliveries?response_status_code=500,501,504

Previously, the response_status_code parameter only supported individual status codes, requiring each desired status code to be explicitly listed.

It was also not possible for integrators to filter webhook deliveries with a null status code.

Fix

This new change allows integrators to filter by status code ranges and null status codes.

Eg.

/webhooks/{webhook_id}/deliveries?response_status_code=500-599,400-499,null

/webhooks/{webhook_id}/deliveries?response_status_code=200-299


23 July 2026

Bank (float) account API listing enhancements

ADDED

🗓️

Release Date: 23 July 2026 (Sandbox and Production)

Change Details:

Added the following new endpoints to allow integrators to query specific bank (or float) accounts, list Float Account entries, and query a specific Float Account entry.

Endpoints:

GET /bank_accounts/{id}

  • to get a specific bank (or float) account.

GET /bank_accounts/{id}/entries

  • to list Float Account settlement entries.

GET /bank_accounts/{id}/entries/{id}

  • to list a specific Float Account settlement entry.

Example Responses:

{
  "data": [
    {
      "id": "019f592c-1d82-734d-a6f6-06449d1f6898",
      "created_at": "2026-07-13T01:51:31Z",
      "description": "Payment from D N Apps 670864 27217028 (Test direct float)",
      "amount": 1,
      "available_balance_after": 298,
      "links": {
        "self": "http://api.split.test/bank_accounts/1bf28ceb-9516-4d0e-9d76-a164d0385214/entries/019f592c-1d82-734d-a6f6-06449d1f6898"
      }
    },
    {
      "id": "019f4590-45e8-7c9c-8b0b-0b13ae49f56d",
      "created_at": "2026-07-09T06:28:30Z",
      "description": "DT.5np6m1",
      "amount": -1,
      "available_balance_after": 297,
      "links": {
        "self": "http://api.split.test/bank_accounts/1bf28ceb-9516-4d0e-9d76-a164d0385214/entries/019f4590-45e8-7c9c-8b0b-0b13ae49f56d"
      }
    },
    {
      "id": "019f458f-7c80-7740-bc76-8f11dfd58eff",
      "created_at": "2026-07-09T06:27:39Z",
      "description": "DT.5np6jw",
      "amount": -1,
      "available_balance_after": 298,
      "links": {
        "self": "http://api.split.test/bank_accounts/1bf28ceb-9516-4d0e-9d76-a164d0385214/entries/019f458f-7c80-7740-bc76-8f11dfd58eff"
      }
    }
  ]
}
{
  "data": {
    "id": "019f592c-1d82-734d-a6f6-06449d1f6898",
    "created_at": "2026-07-13T01:51:31Z",
    "description": "Payment from D N Apps 670864 27217028 (Test direct float)",
    "amount": 1,
    "available_balance_after": 298,
    "links": {
      "self": "http://api.split.test/bank_accounts/1bf28ceb-9516-4d0e-9d76-a164d0385214/entries/019f592c-1d82-734d-a6f6-06449d1f6898"
    }
  }
}
{
    "data": {
        "id": "0197a14d-209f-7540-a059-22202fc8c031",
        "account_type": "float_account",
        "branch_code": "802919",
        "bank_name": "Zepto Float Account",
        "account_number": "6124083",
        "status": "active",
        "title": "Wallet",
        "available_balance": 111502,
        "payid_configs": [
            {
                "email_domain": "wallet.com",
                "pooling_state": "disabled",
                "max_pool_size": 0,
                "current_pool_size": 0
            }
        ]
    }
}